import ROOT
import pandas as pd

# creating the pandas dataframe
df = pd.read_csv("data_example.csv")

# converting it to a dictionary
arraydata = {key: df[key].values for key in df.keys()}

#excluding the detector column
det_dict = arraydata.pop("detector")

# creating the root dataframe
rdf = ROOT.RDF.FromNumpy(arraydata)

# add the detector column back in
rdf = rdf.Define('detector', 'auto to_eval = "det_dict[" + std::to_string(rdfentry_) + "]"; return (std::string) TPython::Eval(to_eval.c_str());') 

rdf.Display().Print()

